%define name overcr
%define version 1.49.08
%define release 1

Name: %{name}
Summary: Data collection for system and network monitoring
Version: %{version}
Release: %{release}
Source: http://www.molitor.org/overcr/download/%{name}-%{version}.tar.gz
Source1: %{name}-init
Patch0: overcr-spaces.patch
Group: Applications/System
URL: http://www.molitor.org/overcr/
BuildRoot: %{_tmppath}/%{name}-buildroot
License: GPL
Requires: perl >= 5.004
Prereq: /sbin/chkconfig /etc/init.d /sbin/service /usr/sbin/useradd /usr/sbin/groupadd /bin/chown
BuildArch: noarch

%description
OverCR was intended essentially as an exploration in alternative data
collection for system and network monitoring. Can be used for Nagios
with check_overcr plugin.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -c -n %{name}-%{version}
%patch0 -b .spaces

%build

%install
mkdir -p $RPM_BUILD_ROOT%{_bindir} \
         $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d \
         $RPM_BUILD_ROOT/var/log
cp -a collector.pl $RPM_BUILD_ROOT%{_bindir}
cp -a collector.conf $RPM_BUILD_ROOT%{_sysconfdir}
cp -a %{S:1} $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/collector
chmod 755 $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/collector
touch $RPM_BUILD_ROOT/var/log/collector.log
chown overcr.overcr $RPM_BUILD_ROOT/var/log/collector.log

%clean
rm -rf $RPM_BUILD_ROOT 

%pre
/usr/sbin/useradd -s /sbin/nologin -M -r -d /tmp overcr 2>/dev/null || :

%post
/sbin/chkconfig --add collector

%preun
if [ $1 = 0 ]; then
    /sbin/chkconfig --del collector
    /sbin/service collector stop >/dev/null 2>&1
fi

%postun
if [ "$1" -ge "1" ]; then
        /sbin/service collector condrestart >/dev/null 2>&1
fi

%files 
%defattr(0644,root,root,0755)
%doc CONFIGURE COPYING CHANGES README
%config %{_sysconfdir}/collector.conf
%config %attr(0755,root,root) %{_sysconfdir}/rc.d/init.d/collector
%attr(0755,root,root) %{_bindir}/*
%config %attr(0644,overcr,overcr) /var/log/collector.log

%changelog
* Tue Aug 27 2002 Milan Kerslager <kerslage@linux.cz>
- initial version
